Package ru.bitel.bgbilling.kernel.table.server.bean

# Class BGTableInfoBase

java.lang.Object
ru.bitel.bgbilling.kernel.table.server.bean.BGTableInfoBase

All Implemented Interfaces:
  `BGTableInfo`

public abstract class BGTableInfoBase extends Object implements BGTableInfo

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ru.bitel.bgbilling.common.model.KeyValue>`
  `attributes`
  `protected BGUTableColumn[]`
  `columns`
  `protected Page`
  `page`
  `protected int`
  `usetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGTableInfoBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BGTableInfoBase`
  `addAttribute(String key, String value)`
  `protected void`
  `addAttributes(String[][] attributes)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getAttributes()`
  `List<BGUTableColumn>`
  `getColumns()`
  `protected BGUTableRowValue`
  `getComment(String comment)`
  `protected ru.bitel.bgbilling.kernel.container.managed.ServerContext`
  `getContext()`
  `protected BGUTableRowValue`
  `getDate(String name, Date value)`
  `protected BGUTableRowValue`
  `getDateTime(String name, Date value)`
  `protected BGUTableRowValue`
  `getDateTime(String name, Date value, String dateFormat)`
  `protected BGUTableRowValue`
  `getDecimal(String name, BigDecimal value)`
  `protected BGUTableRowValue`
  `getId(int id)`
  `Page`
  `getPage()`
  `protected BGUTableRowValue`
  `getPeriod(Period period)`
  `protected BGUTableRowValue`
  `getPeriodWithTime(Period period)`
  `protected BGUTableRowValue`
  `getUserName(Directory<UserInfo> directory, int userId)`
  `void`
  `setUserId(int userId)`
  `ru.bitel.bgbilling.kernel.table.common.dto.TableDto`
  `toTableDto()`
  `protected List<BGUTableRowValue>`
  `toValueList(Object object)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.table.server.bean.BGTableInfo

  `getRows`

- ## Field Details

  - ### usetId

    protected int usetId

  - ### page

    protected Page page

  - ### columns

    protected BGUTableColumn[] columns

  - ### attributes

    protected List<ru.bitel.bgbilling.common.model.KeyValue> attributes

- ## Constructor Details

  - ### BGTableInfoBase

    public BGTableInfoBase()

- ## Method Details

  - ### setUserId

    public void setUserId(int userId)
    Specified by:
      `setUserId` in interface `BGTableInfo`

  - ### getColumns

    public List<BGUTableColumn> getColumns() throws Exception
    Specified by:
      `getColumns` in interface `BGTableInfo`
    Throws:
      `Exception`

  - ### getPage

    public Page getPage()
    Specified by:
      `getPage` in interface `BGTableInfo`

  - ### getAttributes

    public List<ru.bitel.bgbilling.common.model.KeyValue> getAttributes()
    Specified by:
      `getAttributes` in interface `BGTableInfo`

  - ### addAttribute

    protected BGTableInfoBase addAttribute(String key, String value)

  - ### addAttributes

    protected void addAttributes(String[][] attributes)

  - ### toValueList

    protected List<BGUTableRowValue> toValueList(Object object) throws Exception
    Throws:
      `Exception`

  - ### getUserName

    protected BGUTableRowValue getUserName(Directory<UserInfo> directory, int userId) throws Exception
    Throws:
      `Exception`

  - ### getId

    protected BGUTableRowValue getId(int id)

  - ### getPeriod

    protected BGUTableRowValue getPeriod(Period period)

  - ### getPeriodWithTime

    protected BGUTableRowValue getPeriodWithTime(Period period)

  - ### getComment

    protected BGUTableRowValue getComment(String comment)

  - ### getDateTime

    protected BGUTableRowValue getDateTime(String name, Date value)

  - ### getDate

    protected BGUTableRowValue getDate(String name, Date value)

  - ### getDecimal

    protected BGUTableRowValue getDecimal(String name, BigDecimal value)

  - ### getDateTime

    protected BGUTableRowValue getDateTime(String name, Date value, String dateFormat)

  - ### toTableDto

    public ru.bitel.bgbilling.kernel.table.common.dto.TableDto toTableDto()
    Specified by:
      `toTableDto` in interface `BGTableInfo`

  - ### getContext

    protected ru.bitel.bgbilling.kernel.container.managed.ServerContext getContext()